Issue 120345 - Textbox's position in template file(only title) is displayed incorrectly.
Textbox's position in template file(only title) is displayed incorrectly.
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: WangZhe
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 09:14 UTC by Ma Bingbing
Modified: 2013-07-12 14:21 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample file (25.00 KB, application/vnd.ms-powerpoint)
2012-07-23 09:15 UTC, Ma Bingbing
no flags Details
sample file2 (20.00 KB, application/vnd.ms-powerpoint)
2012-07-23 09:16 UTC, Ma Bingbing
no flags Details
Fix patch for this issue (962 bytes, patch)
2012-08-07 01:55 UTC, Ma Bingbing
jiazema: review?
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Ma Bingbing 2012-07-23 09:14:17 UTC
1. Open the sample file with AOO
2. check the sub-Title box's size and position
Comment 1 Ma Bingbing 2012-07-23 09:15:47 UTC
Created attachment 78706 [details]
sample file
Comment 2 Ma Bingbing 2012-07-23 09:16:32 UTC
Created attachment 78707 [details]
sample file2
Comment 3 Li Feng Wang 2012-08-07 01:39:47 UTC
Can reproduced with AOO branch r1367911 on Windows XP.

The subtitle box's size and position are different with openning by MS Office.
Comment 4 Ma Bingbing 2012-08-07 01:51:03 UTC
    Set placeholder function incorrectly, set the subtitle with normal outline. Should check the subtitle in master page firstly, and set it to layout if exist.
Comment 5 Ma Bingbing 2012-08-07 01:55:43 UTC
Created attachment 78863 [details]
Fix patch for this issue

when set aLayoutRect's position and size, check the subtitle firstly, and then outline in master page
Comment 6 WangZhe 2012-09-07 03:39:48 UTC
I'll take this one
Comment 7 WangZhe 2012-09-07 05:17:22 UTC
Deliver At revision: 1381876
Comment 8 louqle 2012-11-06 05:54:10 UTC
verified on Win7,XP Sp3, Mac 10.7 and suse 11 against trunk build 1404513, pass